exec data1.sce
data = data1;

zs = size(data);
zeilen = zs(1);
spalten = zs(2);

t=zeros(zeilen,1);


t(1,1)=0;
for i=2:zeilen
    t(i,1) = t(i-1,1)+data(i-1,1);
end

t = t*0.000001;

phi_roh = data(:,3);
pwm_roh = data(:,2);
//plot(t,phi_roh);

t_neu = 0.0:0.01:1.48;

phi_neu = interp1(t,phi_roh,t_neu);
pwm_neu = interp1(t,pwm_roh,t_neu);

plot(t_neu,100*phi_neu*180/%pi,t_neu,pwm_neu);

//siehe help axes_properties
a = gca();
a.x_label.text = 't/s';
a.y_label.text = 'pwm und phi/(0.01Grad)';
a.title.text = 'Verlauf PWM und PHI, data1';
hl=legend(['PHI in Hundertstel Grad';'PWM'],a=1);